:root {

	/* Sync with navbar.svelte with useThemeMode logic  */

	/* --main-text-color: white; */
	/* --opposite-text-color: black; */
	/* --opposite-text-color: var(--main-text-color);
	--background-color: #000000;
	--link-color: #d9dcff;
	--link-accent-color: #454eff;
	--nav-footer-color: white;
	--inner-height: 100vh; */

	font-family: Inter, Avenir, Helvetica, Arial, sans-serif;
	font-size: max(10px,1vw);
  
	color-scheme: light dark;
	color: var(--main-text-color);
	background-color: var(--background-color);
  
	font-synthesis: none;
	overflow: hidden;
	text-rendering: optimizeLegibility;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	-webkit-text-size-adjust: 100%;
}

body {
	position: absolute;
	top: 0px;
	margin: 0;
	display: block;
	/* min-width: 320px; */
	/* min-height: 100vh; */
	height: var(--inner-height);
	width: 100vw;
	background-color: var(--background-color);
	z-index: 0;
}

footer {
	background-color: #333;
	color: white;
}

* a {
    color: var(--link-color);
	text-decoration: none;
}

* a:hover {
    color: var(--link-accent-color);
}

.no-select {
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

h1, h2, #title {
	letter-spacing: 2px;
}

p, h1, h2, h3, h4, h5, h6 {
	transition: color 0.5s;
}

* [should] {
	transition-duration: 1s;
	transition-property: color, background-color, opacity, transform;
}

* [should="fadeIn"] {
	opacity: 1;
	transform: translateY(0px);
}

* [should="fadeOut"] {
	opacity: 0;
	transform: translateY(25px);
}


* [removeMargin="true"] {
	margin: 0px !important;
	padding: 0px !important;
}

.noselect {
	-webkit-touch-callout: none; /* iOS Safari */
	  -webkit-user-select: none; /* Safari */
	   -khtml-user-select: none; /* Konqueror HTML */
		 -moz-user-select: none; /* Old versions of Firefox */
		  -ms-user-select: none; /* Internet Explorer/Edge */
			  user-select: none; /* Non-prefixed version, currently
									supported by Chrome, Edge, Opera and Firefox */
}

@keyframes slideIn {
	0% {
		opacity: 0;
		transform: translateY(25px);
	}
	100% {
		opacity: 1;
		transform: translateY(0);
	}
}

.dynamicHtml a {
    color: var(--link-accent-color);
}